package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrSafetyBreathMapper;
import com.ruoyi.project.pssr.domain.TPssrSafetyBreath;
import com.ruoyi.project.pssr.service.ITPssrSafetyBreathService;

/**
 * 安全设施-呼吸阀Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrSafetyBreathServiceImpl implements ITPssrSafetyBreathService
{
    @Autowired
    private TPssrSafetyBreathMapper tPssrSafetyBreathMapper;

    /**
     * 查询安全设施-呼吸阀
     *
     * @param id 安全设施-呼吸阀ID
     * @return 安全设施-呼吸阀
     */
    @Override
    public TPssrSafetyBreath selectTPssrSafetyBreathById(Long id)
    {
        return tPssrSafetyBreathMapper.selectTPssrSafetyBreathById(id);
    }

    /**
     * 查询安全设施-呼吸阀列表
     *
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 安全设施-呼吸阀
     */
    @Override
    public List<TPssrSafetyBreath> selectTPssrSafetyBreathList(TPssrSafetyBreath tPssrSafetyBreath)
    {
        return tPssrSafetyBreathMapper.selectTPssrSafetyBreathList(tPssrSafetyBreath);
    }

    /**
     * 新增安全设施-呼吸阀
     *
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 结果
     */
    @Override
    public int insertTPssrSafetyBreath(TPssrSafetyBreath tPssrSafetyBreath)
    {
        return tPssrSafetyBreathMapper.insertTPssrSafetyBreath(tPssrSafetyBreath);
    }

    /**
     * 修改安全设施-呼吸阀
     *
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 结果
     */
    @Override
    public int updateTPssrSafetyBreath(TPssrSafetyBreath tPssrSafetyBreath)
    {
        return tPssrSafetyBreathMapper.updateTPssrSafetyBreath(tPssrSafetyBreath);
    }
    @Override
    public int updateAllBySubId(TPssrSafetyBreath tPssrSafetyBreath)
    {
        return tPssrSafetyBreathMapper.updateAllBySubId(tPssrSafetyBreath);
    }

    /**
     * 批量删除安全设施-呼吸阀
     *
     * @param ids 需要删除的安全设施-呼吸阀ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyBreathByIds(Long[] ids)
    {
        return tPssrSafetyBreathMapper.deleteTPssrSafetyBreathByIds(ids);
    }

    /**
     * 删除安全设施-呼吸阀信息
     *
     * @param id 安全设施-呼吸阀ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyBreathById(Long id)
    {
        return tPssrSafetyBreathMapper.deleteTPssrSafetyBreathById(id);
    }
}
